Bulk create secrets
curl --request POST \
--url https://api.dualship.run/api/v1/projects/{id}/secrets/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"secrets": [
{
"key": "<string>",
"value": "<string>",
"is_secret": true
}
]
}
'import requests
url = "https://api.dualship.run/api/v1/projects/{id}/secrets/bulk"
payload = { "secrets": [
{
"key": "<string>",
"value": "<string>",
"is_secret": True
}
] }
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({secrets: [{key: '<string>', value: '<string>', is_secret: true}]})
};
fetch('https://api.dualship.run/api/v1/projects/{id}/secrets/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secrets": [
{
"is_secret": true,
"key": "API_KEY",
"value": ""
}
]
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}secrets
Bulk create secrets
Create multiple secrets at once
POST
/
api
/
v1
/
projects
/
{id}
/
secrets
/
bulk
Bulk create secrets
Authorizations
JWT Bearer token authentication
Headers
Workspace ID
Path Parameters
Project ID
Body
application/json
Secrets to create
Minimum array length:
1Show child attributes
Show child attributes
Response
Secrets created
List of project secrets
Show child attributes
Show child attributes
Was this page helpful?
⌘I